<%#-- copyright
OpenProject is an open source project management software.
Copyright (C) the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

  See COPYRIGHT and LICENSE files for more details.

  ++# %>

  <%= component_wrapper do
        primer_form_with(**form_options) do |form|
          flex_layout(classes: "time-entry-dialog-form-spacing") do |body|
            body.with_row(display: show_user ? :block : :none) do
              render(TimeEntries::UserForm.new(form, visible: show_user))
            end
            body.with_row { render(TimeEntries::DaysAndHoursForm.new(form)) }
            body.with_row(display: show_work_package ? :block : :none) do
              render(
                TimeEntries::WorkPackageForm.new(form, visible: show_work_package, limit_to_project_id: limit_to_project_id)
              )
            end
            body.with_row { render(TimeEntries::ActivityForm.new(form)) }
            body.with_row { render(TimeEntries::CommentsForm.new(form)) }
            body.with_row { render(TimeEntries::CustomFieldsForm.new(form)) }
          end
        end
      end %>
